<?php

namespace App\ViewModels\Pagamento\PagamentoComandaRegistrationViewModel;

use CodeIgniter\Entity;

class PagamentoComandaRegistrationViewModel extends Entity {
	protected $id;
	protected $comanda_id;
	protected $comanda_itens;
	protected $valor_total;
	protected $formas_pagamento;
	

	public static function builder(): PagamentoComandaRegistrationViewModelBuilder {

		return (new PagamentoComandaRegistrationViewModelBuilder());

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId() {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getComanda_id() {

		return $this->comanda_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getComanda_itens() {

		return $this->comanda_itens;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor_total() {

		return $this->valor_total;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getFormas_pagamento() {

		return $this->formas_pagamento;

	}

	
	
	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $comanda_id
	 */
	public function setComanda_id($comanda_id) {

		$this->comanda_id = $comanda_id;

	}

	/**
	 *
	 * @param mixed $comanda_itens
	 */
	public function setComanda_itens($comanda_itens) {

		$this->comanda_itens = $comanda_itens;

	}

	/**
	 *
	 * @param mixed $valor_total
	 */
	public function setValor_total($valor_total) {

		$this->valor_total = $valor_total;

	}

	/**
	 *
	 * @param mixed $formas_pagamento
	 */
	public function setFormas_pagamento($formas_pagamento) {

		$this->formas_pagamento = $formas_pagamento;

	}


}

